Bug 1658985 (CVE-2017-13168)

Summary: CVE-2017-13168 kernel: scsi: sg driver can improperly access userspace memory
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: vdronov
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=none,public=20171206,reported=20171206,source=cve,cvss3=4.7/CVSS:3.0/AV:L/AC:H/PR:H/UI:N/S:U/C:N/I:L/A:H,cwe=CWE-125,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=notaffected,rhel-7/kernel-rt=notaffected,mrg-2/kernel-rt=notaffected,rhel-alt-7/kernel-alt=notaffected,rhel-8/kernel=notaffected,rhel-8/kernel-rt=notaffected,fedora-all/kernel=notaffected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was found that SCSI driver in the Linux kernel can improperly access userspace memory outside the provided buffer. A local privileged attacker could potentially use this flaw to expose information from the kernel memory.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-21 17:50:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1658989    

Description Andrej Nemec 2018-12-13 10:34:46 UTC
It was found that SCSI driver in the Linux kernel can improperly access userspace memory outside the provided buffer. A local privileged attacker could potentially use this flaw to expose information from the kernel memory.

References:

https://lore.kernel.org/lkml/20180615152335.208202-1-jannh@google.com/T/#u

https://lwn.net/Articles/760406/

https://source.android.com/security/bulletin/pixel/2017-12-01

https://github.com/LineageOS/android_kernel_xiaomi_msm8996/commit/4e624aeb719ba0a13390f70b18f2388372614b94

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=26b5b874aff5659a7e26e5b1997e3df2c41fa7fd

Comment 2 Vladis Dronov 2019-01-21 17:50:13 UTC
Note:

It apperared that an attacker would have to be able to open and aceess /dev/sg* which in RHEL systems are by default allowed to a privileged user (real non-container root) and members of the "disk" group (empty by default). Therefore we assume this issue is a bug and not a security flaw.